﻿<HTML>
<HEAD>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <TITLE>Servleti i JSP</TITLE>
</HEAD>
<BODY>
<h3>JSP</h3>
<p>
<a href="primer01/test.jsp"><b>Primer 1.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu JSP izraza u okviru stranica.
</p>

<p>
<a href="primer02/test.jsp"><b>Primer 2.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu JSP skriptleta u okviru stranica.
</p>

<p>
<a href="primer03/test.jsp"><b>Primer 3.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu JSP deklaracija u okviru stranica.
</p>

<p>
<a href="primer04/test.jsp"><b>Primer 4.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu JSP direktiva u okviru stranica. Stranica demonstrira <code>page</code>
i <code>include</code> direktive.
</p>

<p>
<a href="primer05/login.jsp"><b>Primer 5.</b></a> Primer korišćenja JavaBeans komponenti
u JSP stranicama. Stranica <code>login.jsp</code> prikazuje, zavisno da li je
korisnik prijavljen ili ne, poruku da je prijavljen ili formu za prijavljivanje.
Na stranicu <code>results.jsp</code> stiže se popunjavanjem i slanjem forme.
U okviru nje se property-ji komponente <code>user</code> klase
<code>beans.User</code> postavljaju
na vrednosti dobijene parametrima stranice. Vrednosti property-ja se zatim
ispisuju u okviru stranice. Stranica sadrži i link na <code>login.jsp</code>,
koji će prilikom ovog poziva ispisati poruku da je korisnik već prijavljen -
dakle, podaci iz komponente <code>user</code> se čuvaju tokom celog trajanja
sesije. Podrazumevana vrednost za session timeout je 30 minuta na Tomcat
serveru. <br>
Korisničko ime je: proba
Šifra je: proba
</p>

<p>
<a href="primer06/login.jsp"><b>Primer 6.</b></a> Demonstracija MVC Model 2 tehnologije.
Servlet <code>LoginServlet</code> obavlja posao dispečera. Svaka operacija prijavljivanja
ili odjavljivanja na sistem ide preko ovog servleta. Ako je korisnik uneo odgovarajuće
korisničko ime i šifru (proba/proba) prijavljivanje na sistem je uspelo i servlet
redirektuje stranicu na <code>results.jsp</code>.
</p>

<p>
<a href="primer07/test.jsp"><b>Primer 7.</b></a> Primer upotrebe <i>Expression Language</i> izraza.
</p>

<p>
<a href="primer08/test.jsp"><b>Primer 8.</b></a> Primer upotrebe <i>JSP Standard Tag Library (JSTL)</i> biblioteke.
</p>

<p>
<a href="primer09/test.jsp"><b>Primer 9.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu dodatnih tagova. Napravljen je dodatni tag (<code>rnd</code>) koji generiše slučajan broj u rasponu
definisanim <code>max</code> atributom.
</p>

<p>
<a href="primer10/test.jsp"><b>Primer 10.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu dodatnih tagova. Napravljen je tag <code>fancy</code> koji ispisuje tekst između početnog i
zatvarajućeg taga crvenim slovima, veličine +1.
</p>

<p>
<a href="primer11/test.jsp"><b>Primer 11.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu dodatnih tagova. Napravljen je tag koji iterira zadati broj puta.
</p>

<p>
<a href="primer12/test.jsp"><b>Primer 12.</b></a> Stranica <code>test.jsp</code> ilustruje
upotrebu dodatnih tagova. Napravljeni su tagovi if, condition, then i else  tagovi koji
realiziji grananje na JSP stranici.
</p>


<a href="index.html">Nazad</a>
</body>
</html>
